curl --request POST \
--url https://api-stage.karmacheck.io/case/id/{caseId}/{disclosureType}/{language} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"opportunityState": "<string>",
"addressState": "<string>",
"opportunityCity": "<string>",
"addressCity": "<string>"
}
'Request location-specific disclosures
Retrieves location-specific disclosure documents and forms that can be presented to and acknowledged by the candidate as part of the onboarding process.
curl --request POST \
--url https://api-stage.karmacheck.io/case/id/{caseId}/{disclosureType}/{language} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"opportunityState": "<string>",
"addressState": "<string>",
"opportunityCity": "<string>",
"addressCity": "<string>"
}
'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of a case.
The type of disclosure.
disclosures, customdynamicdisclosure Body
Required disclosures vary from locale to locale, so location information in the request is used to return the relevant documents.
Once all disclosures have been acknowledged [blocked], calling this endpoint again will indicate that with alreadyAck and provide the caseDataId of the acknowledgment, which can be used to retrieve details. These can be used to determine whether the candidate can skip this step if they leave and then continue their onboarding later or another device, for example. Additionally, the location data in the request will be ignored.
However, if this endpoint is called again while some or all disclosures from the previous response remain unacknowledged, the endpoint will use the location information in the current request to return new documents and previously saved data will be discarded.
The state associated with the opportunity, such as the location of a job for which a candidate is undergoing a background check.
The candidate's state of residence.
The city associated with the opportunity, such as the location of a job for which a candidate is undergoing a background check.
The candidate's city of residence.